<?xml version="1.0" encoding="utf-8"?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:content="http://purl.org/rss/1.0/modules/content/">
    <channel>
        <title>mittwald Developer Portal Blog</title>
        <link>https://developer.mittwald.de/changelog/</link>
        <description>mittwald Developer Portal Blog</description>
        <lastBuildDate>Fri, 10 Apr 2026 00:00:00 GMT</lastBuildDate>
        <docs>https://validator.w3.org/feed/docs/rss2.html</docs>
        <generator>https://github.com/jpmonette/feed</generator>
        <language>en</language>
        <item>
            <title><![CDATA[API changes for v2 API, April 3 to April 10]]></title>
            <link>https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/</link>
            <guid>https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/</guid>
            <pubDate>Fri, 10 Apr 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[In the week of April 3 to April 10, 2026, the mittwald API introduced several enhancements to the /v2/app-installations and /v2/projects//app-installations endpoints by adding multiple required properties to the responses for improved clarity and usability.]]></description>
            <content:encoded><![CDATA[<p>In the week of April 3 to April 10, 2026, the mittwald API introduced several enhancements to the <code>/v2/app-installations</code> and <code>/v2/projects/{projectId}/app-installations</code> endpoints by adding multiple required properties to the responses for improved clarity and usability.</p>
<!-- -->
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="summary">Summary<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#summary" class="hash-link" aria-label="Direct link to Summary" title="Direct link to Summary" translate="no">​</a></h2>
<ul>
<li class="">
<p>The <code>GET /v2/app-installations</code> operation has been updated to include several new required properties in the response with a <code>200</code> status:</p>
<ul>
<li class=""><code>/items/appExternalVersion</code></li>
<li class=""><code>/items/appName</code></li>
<li class=""><code>/items/systemSoftware/items/externalVersion</code></li>
<li class=""><code>/items/systemSoftware/items/name</code></li>
<li class=""><code>/items/systemSoftware/items/updateAvailable</code></li>
<li class=""><code>/items/updateAvailable</code></li>
</ul>
</li>
<li class="">
<p>The <code>GET /v2/app-installations/{appInstallationId}</code> operation has been updated to include the following new required properties in the response with a <code>200</code> status:</p>
<ul>
<li class=""><code>appExternalVersion</code></li>
<li class=""><code>appName</code></li>
<li class=""><code>systemSoftware/items/externalVersion</code></li>
<li class=""><code>systemSoftware/items/name</code></li>
<li class=""><code>systemSoftware/items/updateAvailable</code></li>
<li class=""><code>updateAvailable</code></li>
</ul>
</li>
<li class="">
<p>The <code>GET /v2/projects/{projectId}/app-installations</code> operation has been updated to include several new required properties in the response with a <code>200</code> status:</p>
<ul>
<li class=""><code>/items/appExternalVersion</code></li>
<li class=""><code>/items/appName</code></li>
<li class=""><code>/items/systemSoftware/items/externalVersion</code></li>
<li class=""><code>/items/systemSoftware/items/name</code></li>
<li class=""><code>/items/systemSoftware/items/updateAvailable</code></li>
<li class=""><code>/items/updateAvailable</code></li>
</ul>
</li>
</ul>
<p><em>Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.</em></p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="detailed-changes">Detailed changes<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#detailed-changes" class="hash-link" aria-label="Direct link to Detailed changes" title="Direct link to Detailed changes" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-app-installations-that-a-user-has-access-to">Changes in "List app installations that a user has access to"<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#changes-in-list-app-installations-that-a-user-has-access-to" class="hash-link" aria-label="Direct link to Changes in &quot;List app installations that a user has access to&quot;" title="Direct link to Changes in &quot;List app installations that a user has access to&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>added the required property '/items/appExternalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/appName' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/externalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/name' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/updateAvailable' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/updateAvailable' to the response with the '200' status</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/app/app-list-appinstallations-for-user/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>app-installations</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-an-app-installation">Changes in "Get an app installation"<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#changes-in-get-an-app-installation" class="hash-link" aria-label="Direct link to Changes in &quot;Get an app installation&quot;" title="Direct link to Changes in &quot;Get an app installation&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>added the required property 'appExternalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property 'appName' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property 'systemSoftware/items/externalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property 'systemSoftware/items/name' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property 'systemSoftware/items/updateAvailable' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property 'updateAvailable' to the response with the '200' status</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/app/app-get-appinstallation/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>app-installations</span>/<wbr><span class="variableLinkParameter_OWEY">{appInstallationId}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-app-installations-belonging-to-a-project">Changes in "List app installations belonging to a Project"<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#changes-in-list-app-installations-belonging-to-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;List app installations belonging to a Project&quot;" title="Direct link to Changes in &quot;List app installations belonging to a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>added the required property '/items/appExternalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/appName' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/externalVersion' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/name' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/systemSoftware/items/updateAvailable' to the response with the '200' status</p>
</li>
<li class="">
<p>added the required property '/items/updateAvailable' to the response with the '200' status</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/app/app-list-appinstallations/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>app-installations</span>/<wbr></code></span></a> endpoint.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="client-package-releases">Client package releases<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#client-package-releases" class="hash-link" aria-label="Direct link to Client package releases" title="Direct link to Client package releases" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43430">mittwald JavaScript SDK Release 4.343.0<a href="https://developer.mittwald.de/changelog/2026/04/10/api-changes-v2/#mittwald-javascript-sdk-release-43430" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.343.0" title="Direct link to mittwald JavaScript SDK Release 4.343.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.343.0. This release includes the following feature:</p>
<ul>
<li class="">Updated the generated client to enhance functionality (<a href="https://github.com/mittwald/api-client-js/commit/65629b94382a82c2943f77e1854e70a4e38ad27c" target="_blank" rel="noopener noreferrer" class="">commit 65629b9</a>).</li>
</ul>
<p>For more details, visit the <a href="https://github.com/mittwald/api-client-js/releases/tag/4.343.0" target="_blank" rel="noopener noreferrer" class="">release page</a>.</p>]]></content:encoded>
            <category>API v2</category>
            <category>App</category>
        </item>
        <item>
            <title><![CDATA[Breaking (!) API changes for v2 API, March 27 to April 3]]></title>
            <link>https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/</link>
            <guid>https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/</guid>
            <pubDate>Fri, 03 Apr 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[This week, the mittwald API introduces several updates, including optional properties for responses and requests, changes in property types, and the addition of required properties to enhance the functionality of cronjob and project management endpoints.]]></description>
            <content:encoded><![CDATA[<p>This week, the mittwald API introduces several updates, including optional properties for responses and requests, changes in property types, and the addition of required properties to enhance the functionality of cronjob and project management endpoints.</p>
<!-- -->
<aside class="flow--alert flow--alert--warning"><h3 class="flow--heading flow--heading--size-s flow--alert--heading"><span class="flow--heading--heading-text"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="tabler-icon tabler-icon-alert-circle flow--icon flow--heading--icon flow--alert--icon flow--icon--size-m flow--icon--warning" aria-hidden="false" focusable="false" role="img" aria-label="Status &quot;warning&quot;"><path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0"></path><path d="M12 8v4"></path><path d="M12 16h.01"></path></svg>Breaking changes</span><span class="flow--heading--heading-content"></span></h3><div class="flow--alert--content"><p>This document contains changes that can under certain circumstances be considered breaking. Please review the changes carefully.</p><p>While we generally strive to avoid breaking changes in accordance with our <a class="" href="https://developer.mittwald.de/docs/v2/api/stability/">API stability guarantees</a>, we occasionally might perform changes that would be considered breaking in the strictest sense of the term, but we do not consider as breaking in a practical sense. We will always provide ample notice and documentation for such changes.</p></div></aside>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="summary">Summary<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#summary" class="hash-link" aria-label="Direct link to Summary" title="Direct link to Summary" translate="no">​</a></h2>
<ul>
<li class="">The response property <code>destination</code> became optional for the status <code>200</code> in the <code>GET /v2/cronjobs/{cronjobId}</code> operation. This is a breaking change.</li>
<li class="">The response properties <code>appId</code> and <code>appInstallationId</code> changed their type/format from <code>string</code>/<code>uuid</code> to <code>string</code>/<code>''</code> for the status <code>200</code> in the <code>GET /v2/cronjobs/{cronjobId}</code> operation. This is a breaking change.</li>
<li class="">The response property <code>/items/destination</code> became optional for the status <code>200</code> in the <code>GET /v2/projects/{projectId}/cronjobs</code> operation. This is a breaking change.</li>
<li class="">The response properties <code>/items/appId</code> and <code>/items/appInstallationId</code> changed their type/format from <code>string</code>/<code>uuid</code> to <code>string</code>/<code>''</code> for the status <code>200</code> in the <code>GET /v2/projects/{projectId}/cronjobs</code> operation. This is a breaking change.</li>
<li class="">The request property <code>failedExecutionAlertThreshold</code>'s maximum value was set to <code>80.00</code> in the <code>POST /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">An optional property <code>target</code> was added to the response with the <code>200</code> status in the <code>GET /v2/cronjobs/{cronjobId}</code> operation.</li>
<li class="">A new optional request property <code>target</code> was added in the <code>PATCH /v2/cronjobs/{cronjobId}</code> operation.</li>
<li class="">The required property <code>/items/serverGroupId</code> was added to the response with the <code>200</code> status in the <code>GET /v2/projects</code> operation.</li>
<li class="">The required property <code>serverGroupId</code> was added to the response with the <code>200</code> status in the <code>GET /v2/projects/{projectId}</code> operation.</li>
<li class="">A new optional request parameter <code>includeServiceCronjobs</code> was added in the <code>GET /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">An optional property <code>/items/target</code> was added to the response with the <code>200</code> status in the <code>GET /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">A new optional request property <code>target</code> was added in the <code>POST /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">The request property <code>appId</code> became optional in the <code>POST /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">The request property <code>destination</code> became optional in the <code>POST /v2/projects/{projectId}/cronjobs</code> operation.</li>
<li class="">The required property <code>/items/groupId</code> was added to the response with the <code>200</code> status in the <code>GET /v2/servers</code> operation.</li>
<li class="">The required property <code>groupId</code> was added to the response with the <code>200</code> status in the <code>GET /v2/servers/{serverId}</code> operation.</li>
</ul>
<p><em>Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.</em></p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="detailed-changes">Detailed changes<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#detailed-changes" class="hash-link" aria-label="Direct link to Detailed changes" title="Direct link to Detailed changes" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-cronjob">Changes in "Get a cronjob"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-get-a-cronjob" class="hash-link" aria-label="Direct link to Changes in &quot;Get a cronjob&quot;" title="Direct link to Changes in &quot;Get a cronjob&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the response property 'destination' became optional for the status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'appId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'appInstallationId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>added the optional property 'target' to the response with the '200' status</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/cronjob/cronjob-get-cronjob/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>cronjobs</span>/<wbr><span class="variableLinkParameter_OWEY">{cronjobId}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-cronjobs-belonging-to-a-project">Changes in "List cronjobs belonging to a Project"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-list-cronjobs-belonging-to-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;List cronjobs belonging to a Project&quot;" title="Direct link to Changes in &quot;List cronjobs belonging to a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the response property '/items/destination' became optional for the status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the '/items/appId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the '/items/appInstallationId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>added the new optional 'query' request parameter 'includeServiceCronjobs'</p>
</li>
<li class="">
<p>added the optional property '/items/target' to the response with the '200' status</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/cronjob/cronjob-list-cronjobs/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>cronjobs</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-create-a-cronjob">Changes in "Create a cronjob"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-create-a-cronjob" class="hash-link" aria-label="Direct link to Changes in &quot;Create a cronjob&quot;" title="Direct link to Changes in &quot;Create a cronjob&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>the 'failedExecutionAlertThreshold' request property's max was set to '80.00'</p>
</li>
<li class="">
<p>added the new optional request property 'target'</p>
</li>
<li class="">
<p>the request property 'appId' became optional</p>
</li>
<li class="">
<p>the request property 'destination' became optional</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/cronjob/cronjob-create-cronjob/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>cronjobs</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-a-cronjob">Changes in "Update a cronjob"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-update-a-cronjob" class="hash-link" aria-label="Direct link to Changes in &quot;Update a cronjob&quot;" title="Direct link to Changes in &quot;Update a cronjob&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the new optional request property 'target'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/cronjob/cronjob-update-cronjob/"><span class="operationLink_VmkU"><span class="method_v1hi methodPATCH_bA6x">PATCH</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>cronjobs</span>/<wbr><span class="variableLinkParameter_OWEY">{cronjobId}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-projects-belonging-to-the-executing-user">Changes in "List Projects belonging to the executing user"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-list-projects-belonging-to-the-executing-user" class="hash-link" aria-label="Direct link to Changes in &quot;List Projects belonging to the executing user&quot;" title="Direct link to Changes in &quot;List Projects belonging to the executing user&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property '/items/serverGroupId' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/project/project-list-projects/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-project">Changes in "Get a Project"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-get-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;Get a Project&quot;" title="Direct link to Changes in &quot;Get a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property 'serverGroupId' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/project/project-get-project/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-servers-belonging-to-the-executing-user">Changes in "List Servers belonging to the executing user"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-list-servers-belonging-to-the-executing-user" class="hash-link" aria-label="Direct link to Changes in &quot;List Servers belonging to the executing user&quot;" title="Direct link to Changes in &quot;List Servers belonging to the executing user&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property '/items/groupId' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/project/project-list-servers/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>servers</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-server">Changes in "Get a Server"<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#changes-in-get-a-server" class="hash-link" aria-label="Direct link to Changes in &quot;Get a Server&quot;" title="Direct link to Changes in &quot;Get a Server&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property 'groupId' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/project/project-get-server/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>servers</span>/<wbr><span class="variableLinkParameter_OWEY">{serverId}</span>/<wbr></code></span></a> endpoint.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="client-package-releases">Client package releases<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#client-package-releases" class="hash-link" aria-label="Direct link to Client package releases" title="Direct link to Client package releases" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43420">mittwald JavaScript SDK Release 4.342.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43420" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.342.0" title="Direct link to mittwald JavaScript SDK Release 4.342.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.342.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.342.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43410">mittwald JavaScript SDK Release 4.341.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43410" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.341.0" title="Direct link to mittwald JavaScript SDK Release 4.341.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.341.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, please refer to the <a href="https://github.com/mittwald/api-client-js/releases/tag/4.341.0" target="_blank" rel="noopener noreferrer" class="">release page</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43400">mittwald JavaScript SDK Release 4.340.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43400" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.340.0" title="Direct link to mittwald JavaScript SDK Release 4.340.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.340.0. This release includes an update to the generated client, enhancing its functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.340.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43390">mittwald JavaScript SDK Release 4.339.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43390" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.339.0" title="Direct link to mittwald JavaScript SDK Release 4.339.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.339.0. This release includes an update to the generated client, enhancing the functionality and performance of the SDK. For more details, you can view the release on <a href="https://github.com/mittwald/api-client-js/releases/tag/4.339.0" target="_blank" rel="noopener noreferrer" class="">GitHub</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43381">mittwald JavaScript SDK Release 4.338.1<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43381" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.338.1" title="Direct link to mittwald JavaScript SDK Release 4.338.1" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.338.1. This release includes a version bump for the package root. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.338.1" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43380">mittwald JavaScript SDK Release 4.338.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43380" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.338.0" title="Direct link to mittwald JavaScript SDK Release 4.338.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.338.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: <a href="https://github.com/mittwald/api-client-js/releases/tag/4.338.0" target="_blank" rel="noopener noreferrer" class="">mittwald JavaScript SDK 4.338.0</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43370">mittwald JavaScript SDK Release 4.337.0<a href="https://developer.mittwald.de/changelog/2026/04/03/api-changes-v2/#mittwald-javascript-sdk-release-43370" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.337.0" title="Direct link to mittwald JavaScript SDK Release 4.337.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.337.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on <a href="https://github.com/mittwald/api-client-js/releases/tag/4.337.0" target="_blank" rel="noopener noreferrer" class="">GitHub</a>.</p>]]></content:encoded>
            <category>API v2</category>
            <category>Breaking Change</category>
            <category>Cronjob</category>
            <category>Project</category>
        </item>
        <item>
            <title><![CDATA[API changes for v2 API, March 20 to March 27]]></title>
            <link>https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/</link>
            <guid>https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/</guid>
            <pubDate>Fri, 27 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[This week, the mittwald API introduces several significant updates, including the removal of the 'app-execute-action' operation, the addition of new endpoints for AI hosting and container services, and enhancements to response properties for improved data handling.]]></description>
            <content:encoded><![CDATA[<p>This week, the mittwald API introduces several significant updates, including the removal of the 'app-execute-action' operation, the addition of new endpoints for AI hosting and container services, and enhancements to response properties for improved data handling.</p>
<!-- -->
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="summary">Summary<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#summary" class="hash-link" aria-label="Direct link to Summary" title="Direct link to Summary" translate="no">​</a></h2>
<ul>
<li class="">The API operation <code>app-execute-action</code> has been removed and replaced with <code>deprecated-app-installation-execute-action</code>.</li>
<li class="">A new optional request parameter <code>onlyRecommended</code> has been added to the <code>GET</code> operation for listing update candidates at the endpoint <code>/v2/apps/{appId}/versions/{baseAppVersionId}/update-candidates</code>.</li>
<li class="">The required property <code>modelTermsApprovalRequired</code> has been added to the response with a <code>200</code> status for the <code>GET</code> operation at the endpoint <code>/v2/customers/{customerId}/ai-hosting</code>.</li>
<li class="">A new endpoint has been added for the <code>GET</code> operation to retrieve a list of currently active models at <code>/v2/customers/{customerId}/ai-hosting-models</code>.</li>
<li class="">A new endpoint has been added for the <code>POST</code> operation to accept model terms for a customer at <code>/v2/customers/{customerId}/ai-hosting-models/actions/accept-terms</code>.</li>
<li class="">The required property <code>modelTermsApprovalRequired</code> has also been added to the response with a <code>200</code> status for the <code>GET</code> operation at the endpoint <code>/v2/projects/{projectId}/ai-hosting</code>.</li>
<li class="">A new endpoint has been added for the <code>GET</code> operation to retrieve a list of currently active models at <code>/v2/projects/{projectId}/ai-hosting-models</code>.</li>
<li class="">A new endpoint has been added for the <code>POST</code> operation to create or rotate a pull-image webhook token at <code>/v2/stacks/{stackId}/services/{serviceId}/webhook-token</code>.</li>
<li class="">A new endpoint has been added for the <code>GET</code> operation to call a pull-image webhook at <code>/v2/stacks/{stackId}/webhooks/pull-image</code>.</li>
</ul>
<p><em>Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.</em></p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="detailed-changes">Detailed changes<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#detailed-changes" class="hash-link" aria-label="Direct link to Detailed changes" title="Direct link to Detailed changes" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-app-execute-action">Changes in "app-execute-action"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-app-execute-action" class="hash-link" aria-label="Direct link to Changes in &quot;app-execute-action&quot;" title="Direct link to Changes in &quot;app-execute-action&quot;" translate="no">​</a></h3>
<ul>
<li class="">api operation id 'app-execute-action' removed and replaced with 'deprecated-app-installation-execute-action'</li>
</ul>
<p>For details, refer to the <!-- -->unknown operation <code>app-execute-action</code> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-update-candidates-belonging-to-an-app-version">Changes in "List update candidates belonging to an app version"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-list-update-candidates-belonging-to-an-app-version" class="hash-link" aria-label="Direct link to Changes in &quot;List update candidates belonging to an app version&quot;" title="Direct link to Changes in &quot;List update candidates belonging to an app version&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the new optional 'query' request parameter 'onlyRecommended'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/app/app-list-update-candidates-for-appversion/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>apps</span>/<wbr><span class="variableLinkParameter_OWEY">{appId}</span>/<wbr><span>versions</span>/<wbr><span class="variableLinkParameter_OWEY">{baseAppVersionId}</span>/<wbr><span>update-candidates</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-ai-hosting-plan-and-usages-of-a-customer">Changes in "Get ai hosting plan and usages of a customer"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-get-ai-hosting-plan-and-usages-of-a-customer" class="hash-link" aria-label="Direct link to Changes in &quot;Get ai hosting plan and usages of a customer&quot;" title="Direct link to Changes in &quot;Get ai hosting plan and usages of a customer&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property 'modelTermsApprovalRequired' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/aihosting/ai-hosting-customer-get-usage/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>customers</span>/<wbr><span class="variableLinkParameter_OWEY">{customerId}</span>/<wbr><span>ai-hosting</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-list-of-currently-active-models">Changes in "Get a list of currently active models"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-get-a-list-of-currently-active-models" class="hash-link" aria-label="Direct link to Changes in &quot;Get a list of currently active models&quot;" title="Direct link to Changes in &quot;Get a list of currently active models&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/aihosting/ai-hosting-customer-get-detailed-models/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>customers</span>/<wbr><span class="variableLinkParameter_OWEY">{customerId}</span>/<wbr><span>ai-hosting-models</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-accepts-the-model-terms-for-a-customer">Changes in "Accepts the model terms for a customer"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-accepts-the-model-terms-for-a-customer" class="hash-link" aria-label="Direct link to Changes in &quot;Accepts the model terms for a customer&quot;" title="Direct link to Changes in &quot;Accepts the model terms for a customer&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/aihosting/ai-hosting-customer-accept-model-terms/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>customers</span>/<wbr><span class="variableLinkParameter_OWEY">{customerId}</span>/<wbr><span>ai-hosting-models</span>/<wbr><span>actions</span>/<wbr><span>accept-terms</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-ai-hosting-plan-and-usages-of-a-project-same-as-the-customer-route-but-less-details">Changes in "Get ai hosting plan and usages of a project. Same as the customer route, but less details"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-get-ai-hosting-plan-and-usages-of-a-project-same-as-the-customer-route-but-less-details" class="hash-link" aria-label="Direct link to Changes in &quot;Get ai hosting plan and usages of a project. Same as the customer route, but less details&quot;" title="Direct link to Changes in &quot;Get ai hosting plan and usages of a project. Same as the customer route, but less details&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property 'modelTermsApprovalRequired' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/aihosting/ai-hosting-project-get-usage/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>ai-hosting</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-list-of-currently-active-models-1">Changes in "Get a list of currently active models"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-get-a-list-of-currently-active-models-1" class="hash-link" aria-label="Direct link to Changes in &quot;Get a list of currently active models&quot;" title="Direct link to Changes in &quot;Get a list of currently active models&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/aihosting/ai-hosting-project-get-detailed-models/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>ai-hosting-models</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-create-or-rotate-pull-image-webhook-token">Changes in "Create or rotate pull-image webhook token"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-create-or-rotate-pull-image-webhook-token" class="hash-link" aria-label="Direct link to Changes in &quot;Create or rotate pull-image webhook token&quot;" title="Direct link to Changes in &quot;Create or rotate pull-image webhook token&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/container/container-rotate-pull-image-webhook-for-service/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>stacks</span>/<wbr><span class="variableLinkParameter_OWEY">{stackId}</span>/<wbr><span>services</span>/<wbr><span class="variableLinkParameter_OWEY">{serviceId}</span>/<wbr><span>webhook-token</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-call-pull-image-webhook">Changes in "Call pull-image webhook"<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#changes-in-call-pull-image-webhook" class="hash-link" aria-label="Direct link to Changes in &quot;Call pull-image webhook&quot;" title="Direct link to Changes in &quot;Call pull-image webhook&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/container/container-call-pull-image-webhook-for-service/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>stacks</span>/<wbr><span class="variableLinkParameter_OWEY">{stackId}</span>/<wbr><span>webhooks</span>/<wbr><span>pull-image</span>/<wbr></code></span></a> endpoint.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="client-package-releases">Client package releases<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#client-package-releases" class="hash-link" aria-label="Direct link to Client package releases" title="Direct link to Client package releases" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43360">mittwald JavaScript SDK Release 4.336.0<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#mittwald-javascript-sdk-release-43360" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.336.0" title="Direct link to mittwald JavaScript SDK Release 4.336.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.336.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.336.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43350">mittwald JavaScript SDK Release 4.335.0<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#mittwald-javascript-sdk-release-43350" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.335.0" title="Direct link to mittwald JavaScript SDK Release 4.335.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.335.0. This release includes the following feature:</p>
<ul>
<li class="">Updated the generated client to enhance functionality (<a href="https://github.com/mittwald/api-client-js/commit/fac31203561e54200c26d65ce3bebe3b92007fcf" target="_blank" rel="noopener noreferrer" class="">commit fac3120</a>).</li>
</ul>
<p>For more details, visit the <a href="https://github.com/mittwald/api-client-js/releases/tag/4.335.0" target="_blank" rel="noopener noreferrer" class="">release page</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43340">mittwald JavaScript SDK Release 4.334.0<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#mittwald-javascript-sdk-release-43340" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.334.0" title="Direct link to mittwald JavaScript SDK Release 4.334.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.334.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: <a href="https://github.com/mittwald/api-client-js/releases/tag/4.334.0" target="_blank" rel="noopener noreferrer" class="">mittwald JavaScript SDK 4.334.0</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43330">mittwald JavaScript SDK Release 4.333.0<a href="https://developer.mittwald.de/changelog/2026/03/27/api-changes-v2/#mittwald-javascript-sdk-release-43330" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.333.0" title="Direct link to mittwald JavaScript SDK Release 4.333.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.333.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.333.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>]]></content:encoded>
            <category>API v2</category>
            <category>App</category>
            <category>AI hosting</category>
            <category>Container</category>
        </item>
        <item>
            <title><![CDATA[Breaking (!) API changes for v2 API, March 13 to March 20]]></title>
            <link>https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/</link>
            <guid>https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/</guid>
            <pubDate>Fri, 20 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[This week's changelog for the mittwald API includes significant updates such as changes to response property types, the removal of required properties, the addition of new optional parameters, and the introduction of new endpoints.]]></description>
            <content:encoded><![CDATA[<p>This week's changelog for the mittwald API includes significant updates such as changes to response property types, the removal of required properties, the addition of new optional parameters, and the introduction of new endpoints.</p>
<!-- -->
<aside class="flow--alert flow--alert--warning"><h3 class="flow--heading flow--heading--size-s flow--alert--heading"><span class="flow--heading--heading-text"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="tabler-icon tabler-icon-alert-circle flow--icon flow--heading--icon flow--alert--icon flow--icon--size-m flow--icon--warning" aria-hidden="false" focusable="false" role="img" aria-label="Status &quot;warning&quot;"><path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0"></path><path d="M12 8v4"></path><path d="M12 16h.01"></path></svg>Breaking changes</span><span class="flow--heading--heading-content"></span></h3><div class="flow--alert--content"><p>This document contains changes that can under certain circumstances be considered breaking. Please review the changes carefully.</p><p>While we generally strive to avoid breaking changes in accordance with our <a class="" href="https://developer.mittwald.de/docs/v2/api/stability/">API stability guarantees</a>, we occasionally might perform changes that would be considered breaking in the strictest sense of the term, but we do not consider as breaking in a practical sense. We will always provide ample notice and documentation for such changes.</p></div></aside>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="summary">Summary<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#summary" class="hash-link" aria-label="Direct link to Summary" title="Direct link to Summary" translate="no">​</a></h2>
<ul>
<li class="">
<p>The response property type for the <code>GET /v2/conversations/{conversationId}/messages</code> operation has changed from 'object' to '' for status '200'. Additionally, several required properties (<code>conversationId</code>, <code>createdAt</code>, <code>messageContent</code>, and <code>type</code>) have been removed from the response. <strong>This is a breaking change.</strong></p>
</li>
<li class="">
<p>The response property type for the <code>GET /v2/projects/{projectId}/mail-settings</code> operation has changed for both <code>blacklist/items/</code> and <code>whitelist/items/</code> from 'string' with format 'idn-email' to 'string' for status '200'.</p>
</li>
<li class="">
<p>The request body for the <code>PATCH /v2/projects/{projectId}/mail-settings/{mailSetting}</code> and <code>PUT /v2/projects/{projectId}/mail-settings/{mailSetting}</code> operations has had 'subschema #1, subschema #2' removed from the 'oneOf' list.</p>
</li>
<li class="">
<p>The request property type for the <code>PUT /v2/projects/{projectId}/mailsettings/blacklist</code> and <code>PUT /v2/projects/{projectId}/mailsettings/whitelist</code> operations has changed from 'string' with format 'idn-email' to 'string'.</p>
</li>
<li class="">
<p>The optional property <code>internal</code> and <code>meta</code> have been removed from the response of the <code>GET /v2/conversations/{conversationId}/messages</code> operation.</p>
</li>
<li class="">
<p>A new pattern has been added to the request property <code>blacklist/items/</code> and <code>whitelist/items/</code> for the <code>PUT /v2/projects/{projectId}/mailsettings/blacklist</code> and <code>PUT /v2/projects/{projectId}/mailsettings/whitelist</code> operations.</p>
</li>
<li class="">
<p>The schema <code>de.mittwald.v1.verification.VerifyAddressConfidence</code> and <code>de.mittwald.v1.verification.VerifyAddressResponse</code> have been removed from the API schema.</p>
</li>
<li class="">
<p>The non-success response with status '400' has been removed from the <code>POST /v2/actions/verify-address</code> operation.</p>
</li>
<li class="">
<p>The response property <code>oneOf</code> list for the <code>GET /v2/conversations/{conversationId}/messages</code> operation has been updated to include <code>#/components/schemas/de.mittwald.v1.conversation.ResubmissionStatusUpdate</code> and <code>#/components/schemas/de.mittwald.v1.conversation.GenericStatusUpdate</code>.</p>
</li>
<li class="">
<p>A new non-success response with status '412' has been added to the <code>POST /v2/domain-transferable</code> operation.</p>
</li>
<li class="">
<p>A new optional request parameter <code>types</code> has been added to the <code>GET /v2/orders</code> operation.</p>
</li>
<li class="">
<p>The endpoint <code>PUT /v2/project-backups/{projectBackupId}/expiration-time</code> has been added to update a Backup's expiration time.</p>
</li>
<li class="">
<p>The response property pattern for <code>blacklist/items/</code> and <code>whitelist/items/</code> has been added for the <code>GET /v2/projects/{projectId}/mail-settings</code> operation.</p>
</li>
<li class="">
<p>The request body <code>oneOf</code> list has been updated to include 'subschema #1, subschema #2' for the <code>PATCH /v2/projects/{projectId}/mail-settings/{mailSetting}</code> and <code>PUT /v2/projects/{projectId}/mail-settings/{mailSetting}</code> operations.</p>
</li>
<li class="">
<p>The endpoint <code>GET /v2/stacks</code> has been added to list Stacks belonging to the executing user.</p>
</li>
<li class="">
<p>The required property <code>refreshToken</code> has been added to the response of the <code>PUT /v2/users/self/credentials/password</code> operation.</p>
</li>
</ul>
<p><em>Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.</em></p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="detailed-changes">Detailed changes<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#detailed-changes" class="hash-link" aria-label="Direct link to Detailed changes" title="Direct link to Detailed changes" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-all-message-of-the-conversation">Changes in "Get all message of the conversation"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-get-all-message-of-the-conversation" class="hash-link" aria-label="Direct link to Changes in &quot;Get all message of the conversation&quot;" title="Direct link to Changes in &quot;Get all message of the conversation&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/' response's property type/format changed from 'object'/'' to ''/'' for status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed the required property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/conversationId' from the response with the '200' status</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed the required property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/createdAt' from the response with the '200' status</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed the required property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/messageContent' from the response with the '200' status</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed the required property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/type' from the response with the '200' status</p>
</li>
<li class="">
<p>removed the optional property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/internal' from the response with the '200' status</p>
</li>
<li class="">
<p>removed the optional property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/meta' from the response with the '200' status</p>
</li>
<li class="">
<p>added '#/components/schemas/de.mittwald.v1.conversation.ResubmissionStatusUpdate, #/components/schemas/de.mittwald.v1.conversation.GenericStatusUpdate' to the '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.StatusUpdate]/' response property 'oneOf' list for the response status '200'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/conversation/conversation-list-messages-by-conversation/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>conversations</span>/<wbr><span class="variableLinkParameter_OWEY">{conversationId}</span>/<wbr><span>messages</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-mail-settings-of-a-project">Changes in "List mail settings of a Project"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-list-mail-settings-of-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;List mail settings of a Project&quot;" title="Direct link to Changes in &quot;List mail settings of a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'blacklist/items/' response's property type/format changed from 'string'/'idn-email' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'whitelist/items/' response's property type/format changed from 'string'/'idn-email' to 'string'/'' for status '200'</p>
</li>
<li class="">
<p>the 'blacklist/items/' response's property pattern <code>^([a-zA-Z0-9.!#$%&amp;'*\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\.([a-zA-Z0-9-]+|\*))+)$</code> was added for the status '200'</p>
</li>
<li class="">
<p>the 'whitelist/items/' response's property pattern <code>^([a-zA-Z0-9.!#$%&amp;'*\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\.([a-zA-Z0-9-]+|\*))+)$</code> was added for the status '200'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/mail/mail-list-project-mail-settings/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mail-settings</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-a-mail-setting-of-a-project">Changes in "Update a mail setting of a Project"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-update-a-mail-setting-of-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;Update a mail setting of a Project&quot;" title="Direct link to Changes in &quot;Update a mail setting of a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed 'subschema #1, subschema #2' from the request body 'oneOf' list</p>
</li>
<li class="">
<p>added 'subschema #1, subschema #2' to the request body 'oneOf' list</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/mail/mail-update-project-mail-setting/"><span class="operationLink_VmkU"><span class="method_v1hi methodPATCH_bA6x">PATCH</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mail-settings</span>/<wbr><span class="variableLinkParameter_OWEY">{mailSetting}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-a-mail-setting-of-a-project-1">Changes in "Update a mail setting of a Project"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-update-a-mail-setting-of-a-project-1" class="hash-link" aria-label="Direct link to Changes in &quot;Update a mail setting of a Project&quot;" title="Direct link to Changes in &quot;Update a mail setting of a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> removed 'subschema #1, subschema #2' from the request body 'oneOf' list</p>
</li>
<li class="">
<p>added 'subschema #1, subschema #2' to the request body 'oneOf' list</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/mail/deprecated-mail-update-project-mail-setting/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mail-settings</span>/<wbr><span class="variableLinkParameter_OWEY">{mailSetting}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-blacklist-for-a-given-project-id">Changes in "Update blacklist for a given project ID"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-update-blacklist-for-a-given-project-id" class="hash-link" aria-label="Direct link to Changes in &quot;Update blacklist for a given project ID&quot;" title="Direct link to Changes in &quot;Update blacklist for a given project ID&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'blacklist/items/' request property type/format changed from 'string'/'idn-email' to 'string'/''</p>
</li>
<li class="">
<p>added the pattern <code>^([a-zA-Z0-9.!#$%&amp;'*\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\.([a-zA-Z0-9-]+|\*))+)$</code> to the request property 'blacklist/items/'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/mail/deprecated-mail-projectsetting-update-blacklist/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mailsettings</span>/<wbr><span>blacklist</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-whitelist-for-a-given-project-id">Changes in "Update whitelist for a given project ID"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-update-whitelist-for-a-given-project-id" class="hash-link" aria-label="Direct link to Changes in &quot;Update whitelist for a given project ID&quot;" title="Direct link to Changes in &quot;Update whitelist for a given project ID&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>⚠️ <strong>Breaking:</strong> the 'whitelist/items/' request property type/format changed from 'string'/'idn-email' to 'string'/''</p>
</li>
<li class="">
<p>added the pattern <code>^([a-zA-Z0-9.!#$%&amp;'*\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\.([a-zA-Z0-9-]+|\*))+)$</code> to the request property 'whitelist/items/'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/mail/deprecated-mail-projectsetting-update-whitelist/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mailsettings</span>/<wbr><span>whitelist</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-">Changes in ""<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-" class="hash-link" aria-label="Direct link to Changes in &quot;&quot;" title="Direct link to Changes in &quot;&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>removed the schema 'de.mittwald.v1.verification.VerifyAddressConfidence'</p>
</li>
<li class="">
<p>removed the schema 'de.mittwald.v1.verification.VerifyAddressResponse'</p>
</li>
</ul>
<p>For details, refer to the <!-- -->unknown operation <code></code> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-check-if-an-address-exists">Changes in "Check if an address exists"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-check-if-an-address-exists" class="hash-link" aria-label="Direct link to Changes in &quot;Check if an address exists&quot;" title="Direct link to Changes in &quot;Check if an address exists&quot;" translate="no">​</a></h3>
<ul>
<li class="">removed the non-success response with the status '400'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/misc/verification-verify-address/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>actions</span>/<wbr><span>verify-address</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-check-if-a-domain-is-available-to-transfer">Changes in "Check if a Domain is available to transfer"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-check-if-a-domain-is-available-to-transfer" class="hash-link" aria-label="Direct link to Changes in &quot;Check if a Domain is available to transfer&quot;" title="Direct link to Changes in &quot;Check if a Domain is available to transfer&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the non-success response with the status '412'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/domain-check-domain-transferability/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>domain-transferable</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-list-of-orders">Changes in "Get list of Orders"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-get-list-of-orders" class="hash-link" aria-label="Direct link to Changes in &quot;Get list of Orders&quot;" title="Direct link to Changes in &quot;Get list of Orders&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the new optional 'query' request parameter 'types'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/contract/order-list-orders/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>orders</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-a-backups-expiration-time">Changes in "Update a Backup's expiration time"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-update-a-backups-expiration-time" class="hash-link" aria-label="Direct link to Changes in &quot;Update a Backup's expiration time&quot;" title="Direct link to Changes in &quot;Update a Backup's expiration time&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/backup/backup-replace-project-backup-expiration-time/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>project-backups</span>/<wbr><span class="variableLinkParameter_OWEY">{projectBackupId}</span>/<wbr><span>expiration-time</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-stacks-belonging-to-the-executing-user">Changes in "List Stacks belonging to the executing user"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-list-stacks-belonging-to-the-executing-user" class="hash-link" aria-label="Direct link to Changes in &quot;List Stacks belonging to the executing user&quot;" title="Direct link to Changes in &quot;List Stacks belonging to the executing user&quot;" translate="no">​</a></h3>
<ul>
<li class="">endpoint added</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/container/container-list-self-stacks/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>stacks</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-change-your-password">Changes in "Change your password"<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#changes-in-change-your-password" class="hash-link" aria-label="Direct link to Changes in &quot;Change your password&quot;" title="Direct link to Changes in &quot;Change your password&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the required property 'refreshToken' to the response with the '200' status</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/user/user-change-password/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>users</span>/<wbr><span>self</span>/<wbr><span>credentials</span>/<wbr><span>password</span>/<wbr></code></span></a> endpoint.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="client-package-releases">Client package releases<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#client-package-releases" class="hash-link" aria-label="Direct link to Client package releases" title="Direct link to Client package releases" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-php-sdk-release-v21197">mittwald PHP SDK Release v2.1.197<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-php-sdk-release-v21197" class="hash-link" aria-label="Direct link to mittwald PHP SDK Release v2.1.197" title="Direct link to mittwald PHP SDK Release v2.1.197" translate="no">​</a></h3>
<p>The latest release of the mittwald PHP SDK, version 2.1.197, introduces some significant changes and enhancements.</p>
<h4 class="anchor anchorTargetStickyNavbar_Vzrq" id="breaking-changes">Breaking Changes<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#breaking-changes" class="hash-link" aria-label="Direct link to Breaking Changes" title="Direct link to Breaking Changes" translate="no">​</a></h4>
<ul>
<li class="">The <code>VerificationVerifyAddressBadRequestResponse</code> class has been removed from the codebase.</li>
</ul>
<h4 class="anchor anchorTargetStickyNavbar_Vzrq" id="enhancements">Enhancements<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#enhancements" class="hash-link" aria-label="Direct link to Enhancements" title="Direct link to Enhancements" translate="no">​</a></h4>
<ul>
<li class="">Documentation for the <code>country</code> field in <code>VerificationVerifyAddressRequest</code> and <code>VerificationVerifyAddressRequestBody</code> has been updated. It now specifies that the input can be the full English or German name in addition to the ISO 3166-2 country codes.</li>
</ul>
<p>For more details, visit the <a href="https://github.com/mittwald/api-client-php/releases/tag/v2.1.197" target="_blank" rel="noopener noreferrer" class="">release page</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43320">mittwald JavaScript SDK Release 4.332.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43320" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.332.0" title="Direct link to mittwald JavaScript SDK Release 4.332.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.332.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: <a href="https://github.com/mittwald/api-client-js/releases/tag/4.332.0" target="_blank" rel="noopener noreferrer" class="">mittwald JavaScript SDK 4.332.0</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43310">mittwald JavaScript SDK Release 4.331.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43310" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.331.0" title="Direct link to mittwald JavaScript SDK Release 4.331.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.331.0. This release includes the following feature:</p>
<ul>
<li class="">Updated the generated client to improve functionality and performance. For more details, refer to the commit <a href="https://github.com/mittwald/api-client-js/commit/f295949bc60bb0c0be016524b9aa16c1dc9f787b" target="_blank" rel="noopener noreferrer" class="">f295949</a>.</li>
</ul>
<p>For the full release notes and to download the latest version, visit the <a href="https://github.com/mittwald/api-client-js/releases/tag/4.331.0" target="_blank" rel="noopener noreferrer" class="">release page</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43300">mittwald JavaScript SDK Release 4.330.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43300" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.330.0" title="Direct link to mittwald JavaScript SDK Release 4.330.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.330.0, released on March 19, 2026. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.330.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43290">mittwald JavaScript SDK Release 4.329.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43290" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.329.0" title="Direct link to mittwald JavaScript SDK Release 4.329.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.329.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.329.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43280">mittwald JavaScript SDK Release 4.328.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43280" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.328.0" title="Direct link to mittwald JavaScript SDK Release 4.328.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.328.0. This release includes a feature update where the generated client has been updated. For more details, you can view the release on GitHub <a href="https://github.com/mittwald/api-client-js/releases/tag/4.328.0" target="_blank" rel="noopener noreferrer" class="">here</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43270">mittwald JavaScript SDK Release 4.327.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43270" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.327.0" title="Direct link to mittwald JavaScript SDK Release 4.327.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.327.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on <a href="https://github.com/mittwald/api-client-js/releases/tag/4.327.0" target="_blank" rel="noopener noreferrer" class="">GitHub</a>.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="mittwald-javascript-sdk-release-43260">mittwald JavaScript SDK Release 4.326.0<a href="https://developer.mittwald.de/changelog/2026/03/20/api-changes-v2/#mittwald-javascript-sdk-release-43260" class="hash-link" aria-label="Direct link to mittwald JavaScript SDK Release 4.326.0" title="Direct link to mittwald JavaScript SDK Release 4.326.0" translate="no">​</a></h3>
<p>The mittwald JavaScript SDK has been updated to version 4.326.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: <a href="https://github.com/mittwald/api-client-js/releases/tag/4.326.0" target="_blank" rel="noopener noreferrer" class="">mittwald JavaScript SDK 4.326.0</a>.</p>]]></content:encoded>
            <category>API v2</category>
            <category>Breaking Change</category>
            <category>Conversation</category>
            <category>Mail</category>
            <category>Misc</category>
            <category>Domain</category>
            <category>Contract</category>
            <category>Backup</category>
            <category>Container</category>
            <category>User</category>
        </item>
        <item>
            <title><![CDATA[API changes for v2 API, February 20 to February 27]]></title>
            <link>https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/</link>
            <guid>https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/</guid>
            <pubDate>Fri, 27 Feb 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[This week's changelog for the mittwald API includes several updates, such as the reduction of minimum TTL values for various DNS record types, the addition of new endpoints for license management, and enhancements to request and response properties across multiple operations.]]></description>
            <content:encoded><![CDATA[<p>This week's changelog for the mittwald API includes several updates, such as the reduction of minimum TTL values for various DNS record types, the addition of new endpoints for license management, and enhancements to request and response properties across multiple operations.</p>
<!-- -->
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="summary">Summary<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#summary" class="hash-link" aria-label="Direct link to Summary" title="Direct link to Summary" translate="no">​</a></h2>
<ul>
<li class="">The request property <code>database/projectId</code> was removed from the <code>POST /v2/projects/{projectId}/mysql-databases</code> operation.</li>
<li class="">Non-success responses with status <code>400</code>, <code>412</code>, and <code>409</code> were added to the <code>POST /v2/app-installations/{appInstallationId}/actions/{action}</code> and <code>POST /v2/dns-zones</code> operations.</li>
<li class="">A new optional request parameter <code>versionRange</code> was added to the <code>GET /v2/apps/{appId}/versions</code> operation.</li>
<li class="">A new optional request property <code>avoidEmailConfirmation</code> was added to the <code>PATCH /v2/domains/{domainId}/contacts/{contact}</code> operation.</li>
<li class="">Several new endpoints were added, including:<!-- -->
<ul>
<li class=""><code>GET /v2/licenses/{licenseId}</code> for retrieving a license.</li>
<li class=""><code>POST /v2/licenses/{licenseId}/actions/rotate-key</code> for rotating a license key.</li>
<li class=""><code>GET /v2/licenses/{licenseId}/contract</code> for retrieving the contract for a given license.</li>
<li class=""><code>POST /v2/projects/{projectId}/actions/validate-license-key</code> for validating a license key for a project.</li>
<li class=""><code>GET /v2/projects/{projectId}/licenses</code> for listing licenses belonging to a project.</li>
</ul>
</li>
<li class="">The optional property <code>/items/updateSchedule</code> was added to the response with status <code>200</code> for the <code>GET /v2/projects/{projectId}/stacks}</code>, <code>GET /v2/stacks/{stackId}</code>, <code>PATCH /v2/stacks/{stackId}</code>, and <code>PUT /v2/stacks/{stackId}</code> operations.</li>
<li class="">The request property <code>orderType</code> received a new enum value <code>license</code> in the <code>POST /v2/order-previews</code> and <code>POST /v2/orders</code> operations.</li>
<li class="">The request property <code>orderData</code> received new <code>oneOf</code> entries in the <code>POST /v2/order-previews</code> and <code>POST /v2/orders</code> operations.</li>
<li class="">The response body for the <code>POST /v2/order-previews</code> operation now includes <code>#/components/schemas/de.mittwald.v1.order.LicenseOrderPreviewResponse</code> in the <code>anyOf</code> list for the response status <code>200</code>.</li>
<li class="">The request property minimum value for <code>settings/ttl/seconds</code> was decreased from <code>300.00</code> to <code>60.00</code> for various record types in the <code>PUT /v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}</code> and deprecated operations.</li>
<li class="">The minimum value for the response property <code>settings/ttl/seconds</code> was decreased from <code>300.00</code> to <code>60.00</code> for various record types in the <code>GET /v2/dns-zones/{dnsZoneId}</code> and <code>GET /v2/projects/{projectId}/dns-zones</code> operations.</li>
</ul>
<p><em>Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.</em></p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="detailed-changes">Detailed changes<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#detailed-changes" class="hash-link" aria-label="Direct link to Detailed changes" title="Direct link to Detailed changes" translate="no">​</a></h2>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-get-a-dns-zone">Changes in "Get a DNS Zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-get-a-dns-zone" class="hash-link" aria-label="Direct link to Changes in &quot;Get a DNS Zone&quot;" title="Direct link to Changes in &quot;Get a DNS Zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>The 'recordSet/caa/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCAAComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The 'recordSet/cname/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCNAMEComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The 'recordSet/combinedARecords/oneOf[#/components/schemas/de.mittwald.v1.dns.CombinedACustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The 'recordSet/mx/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordMXCustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The 'recordSet/srv/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordSRVComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The 'recordSet/txt/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordTXTComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/dns-get-dns-zone/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns-zones</span>/<wbr><span class="variableLinkParameter_OWEY">{dnsZoneId}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-dns-zones-belonging-to-a-project">Changes in "List DNS Zones belonging to a Project"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-list-dns-zones-belonging-to-a-project" class="hash-link" aria-label="Direct link to Changes in &quot;List DNS Zones belonging to a Project&quot;" title="Direct link to Changes in &quot;List DNS Zones belonging to a Project&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>The '/items/recordSet/caa/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCAAComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The '/items/recordSet/cname/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCNAMEComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The '/items/recordSet/combinedARecords/oneOf[#/components/schemas/de.mittwald.v1.dns.CombinedACustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The '/items/recordSet/mx/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordMXCustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The '/items/recordSet/srv/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordSRVComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
<li class="">
<p>The '/items/recordSet/txt/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordTXTComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' response property's min was decreased from '300.00' to '60.00' for the response status '200'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/dns-list-dns-zones/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>dns-zones</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-create-a-mysql-database-with-a-mysql-user">Changes in "Create a MySQL database with a MySQL user"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-create-a-mysql-database-with-a-mysql-user" class="hash-link" aria-label="Direct link to Changes in &quot;Create a MySQL database with a MySQL user&quot;" title="Direct link to Changes in &quot;Create a MySQL database with a MySQL user&quot;" translate="no">​</a></h3>
<ul>
<li class="">removed the request property 'database/projectId'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/database/database-create-mysql-database/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>projects</span>/<wbr><span class="variableLinkParameter_OWEY">{projectId}</span>/<wbr><span>mysql-databases</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-trigger-a-runtime-action-belonging-to-an-app-installation">Changes in "Trigger a runtime action belonging to an app installation"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-trigger-a-runtime-action-belonging-to-an-app-installation" class="hash-link" aria-label="Direct link to Changes in &quot;Trigger a runtime action belonging to an app installation&quot;" title="Direct link to Changes in &quot;Trigger a runtime action belonging to an app installation&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>added the non-success response with the status '400'</p>
</li>
<li class="">
<p>added the non-success response with the status '412'</p>
</li>
</ul>
<p>For details, refer to the <!-- -->unknown operation <code>app-execute-action</code> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-list-app-versions-belonging-to-an-app">Changes in "List app versions belonging to an app"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-list-app-versions-belonging-to-an-app" class="hash-link" aria-label="Direct link to Changes in &quot;List app versions belonging to an app&quot;" title="Direct link to Changes in &quot;List app versions belonging to an app&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the new optional 'query' request parameter 'versionRange'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/app/app-list-appversions/"><span class="operationLink_VmkU"><span class="method_v1hi methodGET_ErwD">GET</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>apps</span>/<wbr><span class="variableLinkParameter_OWEY">{appId}</span>/<wbr><span>versions</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-create-a-dns-zone">Changes in "Create a DNS Zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-create-a-dns-zone" class="hash-link" aria-label="Direct link to Changes in &quot;Create a DNS Zone&quot;" title="Direct link to Changes in &quot;Create a DNS Zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">added the non-success response with the status '409'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/dns-create-dns-zone/"><span class="operationLink_VmkU"><span class="method_v1hi methodPOST_hcgP">POST</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns-zones</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-update-a-record-set-on-a-dns-zone">Changes in "Update a record set on a DNS Zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-update-a-record-set-on-a-dns-zone" class="hash-link" aria-label="Direct link to Changes in &quot;Update a record set on a DNS Zone&quot;" title="Direct link to Changes in &quot;Update a record set on a DNS Zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.CombinedACustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCAAComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCNAMEComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordMXCustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordSRVComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
<li class="">
<p>the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordTXTComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</p>
</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/dns-update-record-set/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns-zones</span>/<wbr><span class="variableLinkParameter_OWEY">{dnsZoneId}</span>/<wbr><span>record-sets</span>/<wbr><span class="variableLinkParameter_OWEY">{recordSet}</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-updates-a-records-for-a-specific-zone">Changes in "updates a-records for a specific zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-updates-a-records-for-a-specific-zone" class="hash-link" aria-label="Direct link to Changes in &quot;updates a-records for a specific zone&quot;" title="Direct link to Changes in &quot;updates a-records for a specific zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">the '/oneOf[#/components/schemas/de.mittwald.v1.dns.CombinedACustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/deprecated-dns-record-a-set-custom/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns</span>/<wbr><span>zones</span>/<wbr><span class="variableLinkParameter_OWEY">{zoneId}</span>/<wbr><span>recordset</span>/<wbr><span>acombined</span>/<wbr><span>custom</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-updates-cname-record-for-a-specific-zone">Changes in "updates cname-record for a specific zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-updates-cname-record-for-a-specific-zone" class="hash-link" aria-label="Direct link to Changes in &quot;updates cname-record for a specific zone&quot;" title="Direct link to Changes in &quot;updates cname-record for a specific zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordCNAMEComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/deprecated-dns-record-cname-set/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns</span>/<wbr><span>zones</span>/<wbr><span class="variableLinkParameter_OWEY">{zoneId}</span>/<wbr><span>recordset</span>/<wbr><span>cname</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-updates-mx-records-for-a-specific-zone">Changes in "updates mx-records for a specific zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-updates-mx-records-for-a-specific-zone" class="hash-link" aria-label="Direct link to Changes in &quot;updates mx-records for a specific zone&quot;" title="Direct link to Changes in &quot;updates mx-records for a specific zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordMXCustom]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/deprecated-dns-record-mx-set-custom/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns</span>/<wbr><span>zones</span>/<wbr><span class="variableLinkParameter_OWEY">{zoneId}</span>/<wbr><span>recordset</span>/<wbr><span>mx</span>/<wbr><span>custom</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-updates-srv-records-for-a-specific-zone">Changes in "updates srv-records for a specific zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-updates-srv-records-for-a-specific-zone" class="hash-link" aria-label="Direct link to Changes in &quot;updates srv-records for a specific zone&quot;" title="Direct link to Changes in &quot;updates srv-records for a specific zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordSRVComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/deprecated-dns-record-srv-set/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns</span>/<wbr><span>zones</span>/<wbr><span class="variableLinkParameter_OWEY">{zoneId}</span>/<wbr><span>recordset</span>/<wbr><span>srv</span>/<wbr></code></span></a> endpoint.</p>
<h3 class="anchor anchorTargetStickyNavbar_Vzrq" id="changes-in-updates-txt-records-for-a-specific-zone">Changes in "updates txt-records for a specific zone"<a href="https://developer.mittwald.de/changelog/2026/02/27/api-changes-v2/#changes-in-updates-txt-records-for-a-specific-zone" class="hash-link" aria-label="Direct link to Changes in &quot;updates txt-records for a specific zone&quot;" title="Direct link to Changes in &quot;updates txt-records for a specific zone&quot;" translate="no">​</a></h3>
<ul>
<li class="">the '/oneOf[#/components/schemas/de.mittwald.v1.dns.RecordTXTComponent]/settings/ttl/oneOf[#/components/schemas/de.mittwald.v1.dns.TtlSeconds]/seconds' request property's min was decreased from '300.00' to '60.00'</li>
</ul>
<p>For details, refer to the <a href="https://developer.mittwald.de/docs/v2/reference/domain/deprecated-dns-record-txt-set/"><span class="operationLink_VmkU"><span class="method_v1hi methodPUT_VDwU">PUT</span><code><span></span>/<wbr><span>v2</span>/<wbr><span>dns</span>/<wbr><span>zones</span>/<wbr><span class="variableLinkParameter_OWEY">{zoneId}</span>/<wbr><span>recordset</span>/<wbr><span>txt</span>/<wbr></code></span></a> endpoint.</p>
[...]
